package	jp.co.sds_corp.util.daemon.core;

import jp.co.sds_corp.util.config.IConfiguration;

/**
* 単純にサービスを読み込むするデーモンクラス。
* 現実的には、テスト用にしか使えないでしょう。
<P>
XMLは以下の形式です。
<PRE>
&lt;Daemon name="DAEMON" class="jp.co.sds_corp.util.daemon.core.NullDaemon"&gt;
	&lt;Service name="service" class="daemon.ServiceTest"&gt;
		...
	&lt;/Service&gt;
&lt;/Daemon&gt;
</PRE>
*/
public class NullDaemon extends AbstractDaemon implements NullDaemonMBean
{
	/**
	* デーモンを初期化します。
	*/
	public void init( IConfiguration config ) throws Exception {
		super.init( config );
	}

	/**
	* デーモンを開始します。
	*/
	public void start() {
		setStatus( Status.ALIVE );
	}

	/**
	* デーモンに割り込みます。
	*/
	public void terminate() {
		getService().stop();
		setStatus( Status.DEAD, "Terminated." );
	}

	/**
	* 全てのThreadの終了を待ちます。
	*/
	public void joinAll() {
	}

	/**
	* 設定されている内容をXML形式で出力します。
	* @param	config	設定情報
	*/
	public void saveConfig( IConfiguration config ) {
		super.saveConfig( config );
	}

}

