package	jp.co.sds_corp.util.daemon.core;

import java.util.EventObject;

/**
* デーモンの状態が変更されたことを示すイベントです。
*/
public class StatusChangeEvent extends EventObject
{
	private IDaemon.Status	oldStatus = IDaemon.Status.UNKNOWN;
	private IDaemon.Status newStatus = IDaemon.Status.UNKNOWN;
	private String message;

	/**
	* StatusChangeEventを生成します。
	* @param	source		イベントの発生元
	* @param	oldStatus	変更前のStatus
	* @param	newStatus	変更後のStatus
	* @param	message		メッセージ
	*/
	public StatusChangeEvent( Object source, IDaemon.Status oldStatus,
			IDaemon.Status newStatus, String message )
	{
		super( source );
		this.oldStatus = oldStatus;
		this.newStatus = newStatus;
		this.message = message;
	}

	/**
	* 変更前のStatusを返します。
	* @return	変更前のStatus
	*/
	public IDaemon.Status getOldStatus() {
		return oldStatus;
	}
	/**
	* 変更後のStatusを返します。
	* @return	変更後のStatus
	*/
	public IDaemon.Status getNewStatus() {
		return newStatus;
	}
	/**
	* メッセージを返します。
	* @return	メッセージ
	*/
	public String getMessage() {
		return message;
	}
}
