package	jp.co.sds_corp.util.daemon.file;

import java.io.File;

import jp.co.sds_corp.util.config.IConfiguration;
import jp.co.sds_corp.util.log.CmnLogger;

/**
* ファイルを移動します。
<PRE>
&lt;Service name="Mover" class="jp.co.sds_corp.util.daemon.file.FileMover"&gt;
	&lt;to&gt;./backup&lt;/to&gt;
&lt;/Service&gt;
</PRE>
*/
public class FileMover extends AbstractFileProcessor
{
	static CmnLogger logger = CmnLogger.getInstance();

	/**
	* このクラスを設定情報で初期化します。
	* @param    config  設定情報
	*/
	public void init( IConfiguration config ) throws Exception {
		toDir = config.get( "to" );
	}

	/**
	* ファイルの受信処理を開始します。
	*/
	public void start( File file ) throws Exception {
		setStatus( Status.RUN );
		logger.info( this, "move file [" + file + "] -> " + toDir );
		File to = new File( toDir, file.getName() );
		boolean bRet = file.renameTo( to );
		if ( !bRet ) {
			logger.warn( this, "can't move file [" + file + "] -> " + toDir );
		}
		setStatus( Status.WAIT );
	}

	String	toDir;	// toDir

	/**
	* toDirを設定します。
	* @param	var		設定するデータ
	*/
	public void setToDir( String var ) {
		this.toDir = var;
	}
	/**
	* toDirを取得します。
	* @return	toDir
	*/
	public String getToDir() {
		return toDir;
	}

}
